Bug 1204515 - [abrt] dnf: output.py:2126:_out_event:IOError: [Errno 5] Input/output error
Summary: [abrt] dnf: output.py:2126:_out_event:IOError: [Errno 5] Input/output error
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0ca556b8d8e2640ee4313ff3973...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-22 20:38 UTC by Jan Vesely
Modified: 2015-09-12 18:00 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-21 11:37:51 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1001 bytes, text/plain)
2015-03-22 20:38 UTC, Jan Vesely
no flags Details
File: environ (2.07 KB, text/plain)
2015-03-22 20:38 UTC, Jan Vesely
no flags Details

Description Jan Vesely 2015-03-22 20:38:04 UTC
Description of problem:
gnome terminal crashed while running dnf update

Version-Release number of selected component:
dnf-0.6.4-1.fc21

Additional info:
reporter:       libreport-2.3.0
cmdline:        /usr/bin/python -OO /bin/dnf update
executable:     /bin/dnf
kernel:         3.18.9-200.fc21.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
output.py:2126:_out_event:IOError: [Errno 5] Input/output error

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/dnf/yum/rpmtrans.py", line 393, in callback
    self._instProgress( bytes, total, h )
  File "/usr/lib/python2.7/site-packages/dnf/yum/rpmtrans.py", line 466, in _instProgress
    self.total_actions)
  File "/usr/lib/python2.7/site-packages/dnf/cli/output.py", line 2102, in event
    percent, process, pkgname, wid1)
  File "/usr/lib/python2.7/site-packages/dnf/cli/output.py", line 2126, in _out_event
    sys.stdout.flush()
IOError: [Errno 5] Input/output error

Local variables in innermost frame:
ts_total: 15L
pkgname: u'libquvi-scripts-0.9.20131130-4.fc21.noarch'
process: u'Upgrading'
fmt: u'  %s: %s    7/15'
percent: 100L
ts_current: 7
te_total: 527144L
wid1: 12
wid2: 55
msg: u'  Upgrading   : libquvi-scripts-0.9.20131130-4.fc21.noarch                 7/15'
te_current: 527144L
self: <dnf.cli.output.CliTransactionDisplay object at 0x7f06bc484450>

Comment 1 Jan Vesely 2015-03-22 20:38:07 UTC
Created attachment 1005081 [details]
File: backtrace

Comment 2 Jan Vesely 2015-03-22 20:38:08 UTC
Created attachment 1005082 [details]
File: environ

Comment 3 Honza Silhan 2015-04-03 15:02:18 UTC
Hi Jan, can you reproduce it everytime? Do you have `color` option set in /etc/dnf/dnf.conf? We have never encountered similar bug before. Have you done anything unusual?

Comment 4 Jan Vesely 2015-04-03 19:38:19 UTC
(In reply to Jan Silhan from comment #3)
> Hi Jan, can you reproduce it everytime? Do you have `color` option set in
> /etc/dnf/dnf.conf? We have never encountered similar bug before. Have you
> done anything unusual?

Here's my dnf.conf:
$ cat /etc/dnf/dnf.conf 
[main]
gpgcheck=1
installonly_limit=3
clean_requirements_on_remove=true

it only happened once with the gnome-terminal crash (abrt now points that crash to bug #1151557), I guess IO error is expected in that case.
I haven't tried to reproduce by sending SIGABRT to gnome-terminal manually as I run long running tasks in terminal windows.

Comment 5 Honza Silhan 2015-07-21 11:37:51 UTC
We can;t reproduce it. the cause could be because of 1151557 as pointed out in comment 4.

Comment 6 Paul Gresham 2015-09-12 18:00:45 UTC
Another user experienced a similar problem:

doing maintenance using dnf

reporter:       libreport-2.3.0
cmdline:        /usr/bin/python -OO /bin/dnf upgrade
executable:     /bin/dnf
kernel:         4.1.6-100.fc21.x86_64
package:        dnf-0.6.4-5.fc21
reason:         output.py:2126:_out_event:IOError: [Errno 5] Input/output error
runlevel:       N 5
type:           Python
uid:            0


Note You need to log in before you can comment on or make changes to this bug.